Subject: bug#36403: 27.0.50; Trivial image.c bugs

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 18 Aug 2020 18:28:19 +0200

Lars Ingebrigtsen <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Pip Cet <[email-masked]> writes:
>>
>>> IIRC, Fequal throwing a signal at this point caused a livelock, so we
>>> needed a stricter check. I'll look into it again to see whether
>>> there's a better alternative.
>>
>> This was eight weeks ago, and as far as I can tell, the patch (which
>> looks sensible) wasn't applied.  Has there been any further progress
>> here?
>
> And that was 44 weeks ago.  :-)  The patch still applies.

I've now applied the patch, but I moved the test suite to test/manual --
they call `image-size', which requires a frame to be present...  which
isn't the case when running "make test", unfortunately.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no